import GameManageView from '../views/Home/GameManageView.vue'

import PlayerManageView from '../views/Home/PlayerManageView.vue'
import HomeView from '@/views/Home/HomeView.vue'
import OverView from '@/views/Home/OverView.vue'

export default [
  {
    path: '/home',
    component: HomeView,
    children: [
      {
        path: '',
        redirect: 'gameOverview'
      },
      {
        path: 'overView',
        name: 'OverView',
        component: OverView,
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'playerManageView',
        name: 'PlayerManageView',
        component: PlayerManageView,
        meta: {
          needKeepAlive: false
        }
      },
      {
        path: 'gameManageView',
        name: 'GameManageView',
        component: GameManageView,
        meta: {
          needKeepAlive: true
        }
      }
    ]
  }
]
